For the complete documentation index, see llms.txt. This page is also available as Markdown.

TaskFieldTypes

Introduction

TaskFieldTypes describe how TaskFields are rendered and which config is valid.

The rich-text and description type values and the privacy-policy type's config.text value use the shared Rich Text HTML format.

Model Definition

Alias

formFieldType

List

List available TaskFieldTypes.

Definition

GET /api/tasks-2/field-types

Example Request

$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/tasks-2/field-types', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);

Example Response

Show

Show one TaskFieldType.

Definition

GET /api/tasks-2/field-types/{formFieldType}

Route Parameters

Parameter
Type
Description

formFieldType

string

Type ID (for example text).

Example Request

Example Response

Allowed type keys

  • text

  • boolean

  • rich-text

  • checkbox

  • radio

  • select

  • datetime

  • file-upload

  • entity-select

  • entities-select

  • recipient-select

  • description

  • privacy-policy

  • signature

Last updated